Delete governance policy
curl --request DELETE \
--url https://api.blaxel.ai/v0/policies/{policyName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/policies/{policyName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/policies/{policyName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"name": "my-resource",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "My Resource",
"externalId": "my-session-123",
"labels": {},
"plan": "<string>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"flavors": [
{
"name": "t4",
"type": "cpu"
}
],
"locations": [
{
"name": "EU",
"type": "continent"
}
],
"maxTokens": {
"granularity": "minute",
"input": 10000,
"output": 5000,
"ratioInputOverOutput": 2,
"step": 1,
"total": 15000
},
"resourceTypes": [],
"sandbox": false,
"type": "location"
},
"usage": {
"agents": 123,
"functions": 123,
"jobs": 123,
"models": 123,
"sandboxes": 123
}
}policies
Delete governance policy
Permanently deletes a governance policy. Resources using this policy will need to be updated to use a different policy.
DELETE
/
policies
/
{policyName}
Delete governance policy
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Path Parameters
Unique name identifier of the policy
Response
200 - application/json
successful operation
Rule that controls how a deployment is made and served (e.g. location restrictions)
Common metadata fields shared by all Blaxel resources including name, labels, timestamps, and ownership information
Show child attributes
Show child attributes
Policy specification
Show child attributes
Show child attributes
Per-resource counts of how many resources reference a policy. Computed by the policies listing endpoint to avoid client-side fan-out across the agents/models/functions/sandboxes/jobs listings.
Show child attributes
Show child attributes
Last modified on August 3, 2026
Was this page helpful?
⌘I
